Bug 122894 - Add preference for "Open folders in new window"
Add preference for "Open folders in new window"
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-05-09 23:56 EDT by Brian "netdragon" Bober
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-26 10:32:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian "netdragon" Bober 2004-05-09 23:56:19 EDT
Description of problem:
When you run "nautilus", it doesn't show nautilus in browser mode.
When you run "nautilus --browser", it shows it in browser mode. I like
browser mode, but there are some cases where I don't have that choice
like when an application calls nautilus or when you double-click the
home folder on the desktop. The behavior explorer.exe follows on Win32
is better. This might need to be a meta bug.

1. Preference in nautilus under Behavior:

   ( ) Open folders in current window
   ( ) Open folders in new window

2. Make it so you can hide/show location bar, status bar, information
sidebar, and navigation bar. Make them shown by default, remember
peoples' choices. Put these choices under the View menu. Don't allow
the menu to be hidden because people will need to be able to show/hide

3. Remove --browser command-line option. Add:
--show=location,status,sidebar,navigation (any one can be omitted)
--hide=location,status,sidebar,navigation (any one can be omitted)

These will override user settings for one session only (Although
showing/hiding a bar manually from the View menu afterwards will
override the settings). Applications should not override user settings
by default. These are only for users creating shortcuts or calling
nautilus from the command lines.
Comment 1 Brian "netdragon" Bober 2004-05-26 20:37:32 EDT
This also would be useful for when you use the network browser via the
"Network servers" icon in the gnome menu, because it shows items in
new windows.

Should this be filed in Gnome's Bugzilla instead?
Comment 2 Alexander Larsson 2004-08-26 10:32:52 EDT
preference is in rawhide.

Note You need to log in before you can comment on or make changes to this bug.